Bug 251417 - Desktop effects "enable desktop effects" is unclear that it is a toggle button
Desktop effects "enable desktop effects" is unclear that it is a toggle button
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 17:10 EDT by David Campbell
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-08-08 17:10:12 EDT
Description of problem:

Having enabled desktop effects, if you go to System/Preferences/Look and
Feel/Desktop Effects, you are presented with "Enable Desktop Effects" even
though desktop effects are already enabled, and if you click it, it disables
desktop effects.

Version-Release number of selected component (if applicable):

kernel 2.6.22.1-41.fc7
gnome version 2.18.3

How reproducible:

Always

Steps to Reproduce:
1. Enable desktop effects by visiting System/Preferences/Look and Feel/Desktop
Effects
2. Visit System/Preferences/Look and Feel/Desktop Effects again
3. Notice that even though desktop effects are enabled, you are presented with
"Enable Desktop Effects" and that the behaviour of the button is to disable
desktop effects
  
Actual results:

Clicking "enable desktop effects" disables desktop effects in this instance.

Expected results:

The button should change to "disable desktop effects"
Comment 1 David Campbell 2007-09-26 19:32:49 EDT
Problem still present in latest f7
Comment 2 Eric 2007-11-11 11:21:35 EST
Same situation in f8. According to bug 214946, it's by design.
Comment 3 David Campbell 2007-11-11 11:45:41 EST
If the button is a toggle button, then the button label should also toggle to
indicate a change in state.

This is clearly a bug.

This is clearly a bug...nobody in their right mind designs a user interface that
allows a button label to do exactly the opposite of what it is labelled to do.
Comment 4 David Campbell 2007-11-18 23:37:48 EST
It seems that the button indicates its state by changing its colour.

However, it certainly isn't intuitive.
Comment 5 Bug Zapper 2008-05-14 09:55:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 David Campbell 2008-05-15 06:08:45 EDT
The Desktop Effects "Enable Desktop Effects" button simply isn't clear that it
is a toggle button, especially to new users.  Given that it isn't clear, it is
very confusing that you have to click "Enable Desktop Effects" to disable
desktop effects.
Comment 7 Bug Zapper 2008-11-26 02:39:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-08 23:50:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.